import request from "@/api/request";
import http from "@/api/http";

export default {

  // 删除书桌
  async delStand(data){
    return request({
      url: "/books/delStand",
      method: "POST",
      data,
      needToken: true,
    })
  },

  // 加入书桌
  async addStand(data){
    return request({
      url: "/books/addStand",
      method: "POST",
      data,
      needToken: true,
    })
  },

  // 查询书桌列表
  async stand(data){
    return request({
      url: "/books/stand",
      method: "GET",
      data,
      needToken: true,
    })
  },

  // 查询书籍列表
  async list(data, isDebounce = true){
    if(isDebounce){
      return http({
        url: "/books/list",
        method: "GET",
        data,
        debounce: 200
      })
    }else {
      return request({
        url: "/books/list",
        method: "GET",
        data
      })
    }
  },
  
  // 查询书籍标签
  async label(data){
    return request({
      url: "/books/label",
      method: "GET",
      data
    })
  },

// 获取课程列表
  async course(data){
    return request({
      url: "/books/course",
      method: "GET",
      data
    })
  },


  // 查询书籍分类
  async category(data){
    return request({
      url: "/books/category",
      method: "GET",
      data
    })
  },


  // 查询书籍详情
  async detail(data){
    return request({
      url: "/books/detail",
      method: "GET",
      data
    })
  },

  // 获取课程页面详情
  async coursesPageDetail(data){
    return request({
      url: "/books/coursesPageDetail",
      method: "GET",
      data
    })
  },

  // 获取课程页面列表
  async coursePage(data){
    return request({
      url: "/books/coursePage",
      method: "GET",
      data
    })
  },
}